# Find module for the gobject-introspection tools (g-ir-compiler && g-ir-scanner)
#
# Panagiotis Skintzos 03/2011
#

find_program(
    GIR_SCANNER_EXECUTABLE
    NAMES g-ir-scanner
)
find_program(
    GIR_COMPILER_EXECUTABLE
    NAMES g-ir-compiler
)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(
    GirTools
    "Gir tools are required. Make sure that gobject-introspection package is installed."
    GIR_SCANNER_EXECUTABLE
    GIR_COMPILER_EXECUTABLE
)

mark_as_advanced(GIR_SCANNER_EXECUTABLE)
mark_as_advanced(GIR_COMPILER_EXECUTABLE)
