namespace Indicator
{
    [CCode (cheader_filename = "libindicator/indicator-object.h")]
    public class Object
    {
        public virtual signal void entry_added (Indicator.ObjectEntry entry);
        public virtual signal void entry_moved (Indicator.ObjectEntry entry, uint  old_pos, uint new_pos);
        public virtual signal void entry_removed (Indicator.ObjectEntry entry);
    }
	[Compact]
	[CCode (cheader_filename = "gtk/gtk.h,libindicator/indicator-object.h")]
	public struct ObjectEntry {
		public weak Gtk.Image image;
		public weak Gtk.Label label;
		public weak Gtk.Menu menu;
		public static void activate (Indicator.Object io, Indicator.ObjectEntry entry, uint timestamp);
	}
}
