# Find module for the vala introspection tools (vapigen && vala-gen-introspect)
#
# Panagiotis Skintzos 03/2011
#

find_program(
    VAPIGEN_EXECUTABLE
    NAMES vapigen
)
find_program(
    VALA_GEN_INTROSPECT_EXECUTABLE
    NAMES vala-gen-introspect
)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(
    VapiTools
    "Vapi tools are required. Make sure that valac package is installed."
    VAPIGEN_EXECUTABLE
    VALA_GEN_INTROSPECT_EXECUTABLE
)

mark_as_advanced(VAPIGEN_EXECUTABLE)
mark_as_advanced(VALA_GEN_INTROSPECT_EXECUTABLE)
