#!/usr/bin/env python
# -*- coding: utf-8 -*-
### BEGIN LICENSE
# Copyright (C) 2010 Sebastian MacDonald Sebas310@gmail.com
# Copyright (C) 2010 Mehdi Rejraji mehd36@gmail.com
# Copyright (C) 2011 Vadim Rutkovsky roignac@gmail.com
# Copyright (C) 2011 Panagiotis Skintzos panajotis@gmail.com
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

# Generic keys for info dicts
INFO_PROPERTIES  = "props"
INFO_MAPPINGS    = "mappings"
INFO_SECTION     = "section"
INFO_FILTER      = "filter"
INFO_HANDLER     = "handler"
INFO_FORMATTER   = "formatter"
INFO_LABEL       = "label"
INFO_TYPE        = "type"
INFO_DEFAULT     = "default"
INFO_VALUES      = "values"
INFO_CLASS       = "class"
INFO_WIDGET      = "widget"
INFO_FLAGS       = "flags"

# shared.py is generated on build time from its Vala equivalent
from .shared import *
from .helpers import *
from .server import Server
